package com.chinaweal.aiccs.aiccs.abnormal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaweal.aiccs.aiccs.abnormal.entity.TSBizRemList;
import com.chinaweal.aiccs.aiccs.abnormal.entity.vo.XyxfCqDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 移出经营异常名录业务表 Mapper 接口
 * </p>
 *
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021-01-19
 */
public interface TSBizRemListMapper extends BaseMapper<TSBizRemList> {

    List<TSBizRemList> selectbizRembizseq(@Param("bizseq") String bizseqid);

    List<TSBizRemList> selectBRMexptlist(@Param("tsBizRemListModel") TSBizRemList tsBizRemListModel);

    IPage<TSBizRemList> selectbizRemByPagelist(IPage<TSBizRemList> page, @Param("tsbizRemListModel") TSBizRemList tsBizSpeListModel);

    List<TSBizRemList> selectbizRemByPriPid(@Param("params")Map<String, Object> parm);

    List<TSBizRemList> selectbizRemByPriPidAndBIZSEQ(@Param("params")Map<String, Object> parm);

    List<TSBizRemList> selectbizRem(@Param("params")Map<String, Object> params);

    List<TSBizRemList> queryByxyh(@Param("remSponsorID")String remSponsorID);

    void insertIdTobak(@Param("tasklistid")String tasklistid);

    List<TSBizRemList> checkTaskList(@Param("ABNLISTID")String ABNLISTID);

    String queryLerep(@Param("bizseq")String bizseq);

    TSBizRemList queryHistoryInfo(@Param("SAPPROVECODE")String SAPPROVECODE);

    String queryHistoryContent(@Param("SAPPROVECODE")String SAPPROVECODE);

    IPage<XyxfCqDto> queryxyxfCqList(Page<XyxfCqDto> page, Map<String, Object> paramMap);

    IPage<XyxfCqDto> queryxyxfCqYzfwList(Page<XyxfCqDto> page, Map<String, Object> paramMap);

    List<XyxfCqDto> exportqueryxyxfCqList(@Param("paramMap") Map<String, Object> paramMap);

    List<XyxfCqDto> exportqueryxyxfCqYzfwList(@Param("paramMap") Map<String, Object> paramMap);
}
